CURLOPT_PREREQDATA(3)

NAME
CURLOPT_PREREQDATA - pointer passed to the pre-request callback

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PREREQDATA, void *pointer);

DESCRIPTION
Pass a pointer that will be untouched by libcurl and passed as the first argument in the pre-request callback set with CURLOPT_PREREQFUNCTION(3).

DEFAULT
NULL

PROTOCOLS
All

EXAMPLE
static int prereq_callback(void *clientp,
                           char *conn_primary_ip,
                           char *conn_local_ip,
                           int conn_primary_port,
                           int conn_local_port)
{
  printf("Connection made to %s:%s\n", conn_primary_ip, conn_primary_port);
  return CURL_PREREQFUNC_OK;
}
{
  struct data prereq_data;
  curl_easy_setopt(CURL *handle, CURLOPT_PREREQFUNCTION, prereq_callback);
  curl_easy_setopt(CURL *handle, CURLOPT_PREREQDATA, &prereq_data);
}

AVAILABILITY
Added in 7.80.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_PREREQFUNCTION(3)